openapi: 3.1.0
info:
  title: Common Parameters
  description: |
    **Common Parameters** provides standard definitions for URL query strings and fragments
  version: 1.0.0.0
  contact:
    name: StepChange
    x-name-full: |
      Foundation for Credit Counselling, 123 Albion Street, Leeds, LS2 8ER trading as StepChange Debt Charity and StepChange Debt Charity Scotland. 
      A registered charity no.1016630 and SC046263. It is a limited company registered in England and Wales (company no:2757055). 
      Authorised and regulated by the Financial Conduct Authority (Firm Registration Number 729047)
    x-name-location: 123 Albion Street · Leeds · LS2 8ER · United Kingdom
    x-combined-contact: https://www.stepchange.org/
    url: https://www.stepchange.org/s
    email: contactus@stepchange.org
  license:
    name: Proprietary License
    url: https://www.stepchange.org/
components:
  parameters:
    pageSize:
      name: pageSize
      description: pagination page size
      in: query
      required: false
      schema:
        type: integer
        minimum: 8
        maximum: 128
    pageNumber:
      name: pageNumber
      description: pagination page number
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
    constituentCountry:
      name: constituentCountry
      description: |
        constituent countries or home nations that make up the island of Great Britain and combine with Northern Ireland to form the sovereign state of the United Kingdom
        - `ENG` England
        - `NIR` Northern Ireland
        - `WLS` Wales
        - `SCT` Scotland
      in: query
      required: false
      schema:
        type: string
        enum:
        - ENG
        - NIR
        - WLS
        - SCT
    countryCode:
      name: country
      description: |
        optional filter of resource within specified ISO 3166-1 alpha-3 three-letter country code
        - `ABW` Aruba
        - `AFG` Afghanistan
        - `AGO` Angola
        - `AIA` Anguilla
        - `ALB` Albania
        - `AND` Andorra
        - `ARE` United Arab Emirates
        - `ARG` Argentina
        - `ARM` Armenia
        - `ASM` American Samoa
        - `ATA` Antarctica
        - `ATG` Antigua and Barbuda
        - `AUS` Australia
        - `AUT` Austria
        - `AZE` Azerbaijan
        - `BDI` Burundi
        - `BEL` Belgium
        - `BEN` Benin
        - `BES` Bonaire, Sint Eustatius and Saba
        - `BFA` Burkina Faso
        - `BGD` Bangladesh
        - `BGR` Bulgaria
        - `BHR` Bahrain
        - `BHS` Bahamas
        - `BIH` Bosnia and Herzegovina
        - `BLM` Saint Barthélemy
        - `BLR` Belarus
        - `BLZ` Belize
        - `BMU` Bermuda
        - `BOL` Bolivia, Plurinational State of
        - `BRA` Brazil
        - `BRB` Barbados
        - `BRN` Brunei Darussalam
        - `BTN` Bhutan
        - `BWA` Botswana
        - `CAF` Central African Republic
        - `CAN` Canada
        - `CHE` Switzerland
        - `CHL` Chile
        - `CHN` China
        - `CIV` Côte d'Ivoire
        - `CMR` Cameroon
        - `COD` Congo, Democratic Republic of the
        - `COG` Congo
        - `COK` Cook Islands
        - `COL` Colombia
        - `COM` Comoros
        - `CPV` Cabo Verde
        - `CRI` Costa Rica
        - `CUB` Cuba
        - `CUW` Curaçao
        - `CYM` Cayman Islands
        - `CYP` Cyprus
        - `CZE` Czechia
        - `DEU` Germany
        - `DJI` Djibouti
        - `DMA` Dominica
        - `DNK` Denmark
        - `DOM` Dominican Republic
        - `DZA` Algeria
        - `ECU` Ecuador
        - `EGY` Egypt
        - `ERI` Eritrea
        - `ESP` Spain
        - `EST` Estonia
        - `ETH` Ethiopia
        - `FIN` Finland
        - `FJI` Fiji
        - `FLK` Falkland Islands (Malvinas)
        - `FRA` France
        - `FRO` Faroe Islands
        - `FSM` Micronesia, Federated States of
        - `GAB` Gabon
        - `GBR` United Kingdom of Great Britain and Northern Ireland
        - `GEO` Georgia
        - `GGY` Guernsey
        - `GHA` Ghana
        - `GIB` Gibraltar
        - `GIN` Guinea
        - `GLP` Guadeloupe
        - `GMB` Gambia
        - `GNB` Guinea-Bissau
        - `GNQ` Equatorial Guinea
        - `GRC` Greece
        - `GRD` Grenada
        - `GRL` Greenland
        - `GTM` Guatemala
        - `GUF` French Guiana
        - `GUM` Guam
        - `GUY` Guyana
        - `HND` Honduras
        - `HRV` Croatia
        - `HTI` Haiti
        - `HUN` Hungary
        - `IDN` Indonesia
        - `IMN` Isle of Man
        - `IND` India
        - `IRL` Ireland
        - `IRN` Iran, Islamic Republic of
        - `IRQ` Iraq
        - `ISL` Iceland
        - `ISR` Israel
        - `ITA` Italy
        - `JAM` Jamaica
        - `JOR` Jordan
        - `JPN` Japan
        - `KAZ` Kazakhstan
        - `KEN` Kenya
        - `KGZ` Kyrgyzstan
        - `KHM` Cambodia
        - `KIR` Kiribati
        - `KNA` Saint Kitts and Nevis
        - `KOR` Korea, Republic of
        - `KWT` Kuwait
        - `LAO` Lao People's Democratic Republic
        - `LBN` Lebanon
        - `LBR` Liberia
        - `LBY` Libya
        - `LCA` Saint Lucia
        - `LIE` Liechtenstein
        - `LKA` Sri Lanka
        - `LSO` Lesotho
        - `LTU` Lithuania
        - `LUX` Luxembourg
        - `LVA` Latvia
        - `MAF` Saint Martin (French part)
        - `MAR` Morocco
        - `MCO` Monaco
        - `MDA` Moldova, Republic of
        - `MDG` Madagascar
        - `MDV` Maldives
        - `MEX` Mexico
        - `MHL` Marshall Islands
        - `MKD` North Macedonia
        - `MLI` Mali
        - `MLT` Malta
        - `MMR` Myanmar
        - `MNE` Montenegro
        - `MNG` Mongolia
        - `MNP` Northern Mariana Islands
        - `MOZ` Mozambique
        - `MRT` Mauritania
        - `MSR` Montserrat
        - `MTQ` Martinique
        - `MUS` Mauritius
        - `MWI` Malawi
        - `MYS` Malaysia
        - `MYT` Mayotte
        - `NAM` Namibia
        - `NCL` New Caledonia
        - `NER` Niger
        - `NGA` Nigeria
        - `NIC` Nicaragua
        - `NIU` Niue
        - `NLD` Netherlands, Kingdom of the
        - `NOR` Norway
        - `NPL` Nepal
        - `NRU` Nauru
        - `NZL` New Zealand
        - `OMN` Oman
        - `PAK` Pakistan
        - `PAN` Panama
        - `PCN` Pitcairn
        - `PER` Peru
        - `PHL` Philippines
        - `PLW` Palau
        - `PNG` Papua New Guinea
        - `POL` Poland
        - `PRK` Korea, Democratic People's Republic of
        - `PRT` Portugal
        - `PRY` Paraguay
        - `PSE` Palestine, State of
        - `PYF` French Polynesia
        - `QAT` Qatar
        - `REU` Réunion
        - `ROU` Romania
        - `RUS` Russian Federation
        - `RWA` Rwanda
        - `SAU` Saudi Arabia
        - `SDN` Sudan
        - `SEN` Senegal
        - `SGP` Singapore
        - `SHN` Saint Helena, Ascension and Tristan da Cunha
        - `SLB` Solomon Islands
        - `SLE` Sierra Leone
        - `SLV` El Salvador
        - `SMR` San Marino
        - `SOM` Somalia
        - `SRB` Serbia
        - `SSD` South Sudan
        - `STP` Sao Tome and Principe
        - `SUR` Suriname
        - `SVK` Slovakia
        - `SVN` Slovenia
        - `SWE` Sweden
        - `SWZ` Eswatini
        - `SYC` Seychelles
        - `SYR` Syrian Arab Republic
        - `TCA` Turks and Caicos Islands
        - `TCD` Chad
        - `TGO` Togo
        - `THA` Thailand
        - `TJK` Tajikistan
        - `TKL` Tokelau
        - `TKM` Turkmenistan
        - `TLS` Timor-Leste
        - `TON` Tonga
        - `TTO` Trinidad and Tobago
        - `TUN` Tunisia
        - `TUR` Türkiye
        - `TUV` Tuvalu
        - `TWN` Taiwan, Province of China
        - `TZA` Tanzania, United Republic of
        - `UGA` Uganda
        - `UKR` Ukraine
        - `URY` Uruguay
        - `USA` United States of America
        - `UZB` Uzbekistan
        - `VAT` Holy See
        - `VCT` Saint Vincent and the Grenadines
        - `VEN` Venezuela, Bolivarian Republic of
        - `VGB` Virgin Islands (British)
        - `VIR` Virgin Islands (U.S.)
        - `VNM` Viet Nam
        - `VUT` Vanuatu
        - `WLF` Wallis and Futuna
        - `WSM` Samoa
        - `YEM` Yemen
        - `ZAF` South Africa
        - `ZMB` Zambia
        - `ZWE` Zimbabwe
      in: query
      required: false
      schema:
        type: string
        enum:
        - ABW
        - AFG
        - AGO
        - AIA
        - ALB
        - AND
        - ARE
        - ARG
        - ARM
        - ASM
        - ATA
        - ATG
        - AUS
        - AUT
        - AZE
        - BDI
        - BEL
        - BEN
        - BES
        - BFA
        - BGD
        - BGR
        - BHR
        - BHS
        - BIH
        - BLM
        - BLR
        - BLZ
        - BMU
        - BOL
        - BRA
        - BRB
        - BRN
        - BTN
        - BWA
        - CAF
        - CAN
        - CHE
        - CHL
        - CHN
        - CIV
        - CMR
        - COD
        - COG
        - COK
        - COL
        - COM
        - CPV
        - CRI
        - CUB
        - CUW
        - CYM
        - CYP
        - CZE
        - DEU
        - DJI
        - DMA
        - DNK
        - DOM
        - DZA
        - ECU
        - EGY
        - ERI
        - ESP
        - EST
        - ETH
        - FIN
        - FJI
        - FLK
        - FRA
        - FRO
        - FSM
        - GAB
        - GBR
        - GEO
        - GGY
        - GHA
        - GIB
        - GIN
        - GLP
        - GMB
        - GNB
        - GNQ
        - GRC
        - GRD
        - GRL
        - GTM
        - GUF
        - GUM
        - GUY
        - HND
        - HRV
        - HTI
        - HUN
        - IDN
        - IMN
        - IND
        - IRL
        - IRN
        - IRQ
        - ISL
        - ISR
        - ITA
        - JAM
        - JOR
        - JPN
        - KAZ
        - KEN
        - KGZ
        - KHM
        - KIR
        - KNA
        - KOR
        - KWT
        - LAO
        - LBN
        - LBR
        - LBY
        - LCA
        - LIE
        - LKA
        - LSO
        - LTU
        - LUX
        - LVA
        - MAR
        - MCO
        - MDA
        - MDG
        - MDV
        - MEX
        - MHL
        - MKD
        - MLI
        - MLT
        - MMR
        - MNE
        - MNG
        - MNP
        - MOZ
        - MRT
        - MSR
        - MTQ
        - MUS
        - MWI
        - MYS
        - MYT
        - NAM
        - NCL
        - NER
        - NGA
        - NIC
        - NIU
        - NLD
        - NOR
        - NPL
        - NRU
        - NZL
        - OMN
        - PAK
        - PAN
        - PCN
        - PER
        - PHL
        - PLW
        - PNG
        - POL
        - PRK
        - PRT
        - PRY
        - PSE
        - PYF
        - QAT
        - REU
        - ROU
        - RUS
        - RWA
        - SAU
        - SDN
        - SEN
        - SGP
        - SHN
        - SLB
        - SLE
        - SLV
        - SMR
        - SOM
        - SRB
        - SSD
        - STP
        - SUR
        - SVK
        - SVN
        - SWE
        - SWZ
        - SYC
        - SYR
        - TCA
        - TCD
        - TGO
        - THA
        - TJK
        - TKL
        - TKM
        - TLS
        - TON
        - TTO
        - TUN
        - TUR
        - TUV
        - TWN
        - TZA
        - UGA
        - UKR
        - URY
        - USA
        - UZB
        - VAT
        - VCT
        - VEN
        - VGB
        - VIR
        - VNM
        - VUT
        - WLF
        - WSM
        - YEM
        - ZAF
        - ZMB
        - ZWE
    dateTime:
      name: point
      in: query
      required: false
      description: |
        date format in compressed ISO-8601. (`YYYYMMDDThhmmss`)
        - `YYYY` 4-digit year
        - `MM` 2-digit month (with leading zeros < 10)
        - `DD` 2-digit day (with leading zeros if < 10)
        - literal `T` time start indicator
        - `hh` 2-digit hours (with leading zero if < 10)
        - `mm` 2-diigt minutes (with leading zero if < 10)
        - `ss` 2-digit seconds (with leading zero if < 10)
        - example:
          - `20241118T150800` 18-NOV-2024 15:08:00
      schema:
        type: string
        pattern: '^\d{8}T\d{6}$'
        minLength: 15
        maxLength: 15
    dateFrom:
      name: from
      in: query
      required: false
      description: |
        range start date format in compressed ISO-8601. (`YYYYMMDD`)
        - `YYYY` 4-digit year
        - `MM` 2-digit month (with leading zeros < 10)
        - `DD` 2-digit day (with leading zeros if < 10)
        - example:
          - `20260418` 18th April 2026
      schema:
        type: string
        pattern: '^\d{8}$'
        minLength: 8
        maxLength: 8
    dateTo:
      name: to
      in: query
      required: false
      description: |
        range end date format in compressed ISO-8601. (`YYYYMMDD`)
        - `YYYY` 4-digit year
        - `MM` 2-digit month (with leading zeros < 10)
        - `DD` 2-digit day (with leading zeros if < 10)
        - example:
          - `20260418` 18th April 2026
      schema:
        type: string
        pattern: '^\d{8}$'
        minLength: 8
        maxLength: 8
    dateBefore:
      name: before
      in: query
      required: false
      description: |
        before date format in compressed ISO-8601. (`YYYYMMDD`)
        - `YYYY` 4-digit year
        - `MM` 2-digit month (with leading zeros < 10)
        - `DD` 2-digit day (with leading zeros if < 10)
        - example:
          - `20260418` 18th April 2026
      schema:
        type: string
        pattern: '^\d{8}$'
        minLength: 8
        maxLength: 8
    dateAfter:
      name: after
      in: query
      required: false
      description: |
        after date format in compressed ISO-8601. (`YYYYMMDD`)
        - `YYYY` 4-digit year
        - `MM` 2-digit month (with leading zeros < 10)
        - `DD` 2-digit day (with leading zeros if < 10)
        - example:
          - `20260418` 18th April 2026
      schema:
        type: string
        pattern: '^\d{8}$'
        minLength: 8
        maxLength: 8
    currencyId:
      name: currencyId
      description: internal currency identifier
      in: path
      required: true
      schema:
        type: string
        format: uuid
    documentId:
      name: documentId
      description: internal document identifier
      in: path
      required: true
      schema:
        type: string
        format: uuid
    clientId:
      name: clientId
      description: internal client identifier
      in: path
      required: true
      schema:
        type: string
        format: uuid
    regexSearch:
      name: regex
      in: query
      required: false
      description: |
        Flag parameter used to indicate the supplied search phrase should be treated as a Regular Expression (RegEx), *note*: the `RE2` RegEx library is used please review `https://github.com/google/re2/wiki/Syntax` for further details.
        *example*: searching for currencies ISO code, in this case, containing `EUR`
        - query:`EU[[:alpha:]]` result:`found`
        - query:`EU[[:^alpha:]]` result:`not found`
        *note*: any `'` characters will be automatically escaped to `\'`
      schema:
        type: 'null'
